import { fromJS } from 'immutable';

export default (config) => {
    let obj = {};

    return (state, props) => {
        Object.keys(config).map(key => {
            obj[key] = config[key](state, props);
        });
        return obj;
    }
}
